aboutsummaryrefslogtreecommitdiff
path: root/ci/test/04_install.sh
diff options
context:
space:
mode:
authorHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2019-11-29 21:46:49 +0200
committerHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2019-12-06 21:44:35 +0200
commit7f3ae224685efaeb6fe714de90e8871d12e55f34 (patch)
tree038ff0e8f33a0d9c59a66c009b4c1a12f95e6039 /ci/test/04_install.sh
parent35eda631ed3bd23d4a41761a85a96f925d4a6337 (diff)
downloadbitcoin-7f3ae224685efaeb6fe714de90e8871d12e55f34.tar.xz
ci: Add CentOS 7 build
Diffstat (limited to 'ci/test/04_install.sh')
-rwxr-xr-xci/test/04_install.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/ci/test/04_install.sh b/ci/test/04_install.sh
index ce41c37b6e..318ee94fde 100755
--- a/ci/test/04_install.sh
+++ b/ci/test/04_install.sh
@@ -6,6 +6,10 @@
export LC_ALL=C.UTF-8
+if [[ $DOCKER_NAME_TAG == centos* ]]; then
+ export LC_ALL=en_US.utf8
+fi
+
if [ "$TRAVIS_OS_NAME" == "osx" ]; then
set +o errexit
pushd /usr/local/Homebrew || exit 1
@@ -78,7 +82,10 @@ if [ -n "$DPKG_ADD_ARCH" ]; then
DOCKER_EXEC dpkg --add-architecture "$DPKG_ADD_ARCH"
fi
-if [ "$TRAVIS_OS_NAME" != "osx" ]; then
+if [[ $DOCKER_NAME_TAG == centos* ]]; then
+ ${CI_RETRY_EXE} DOCKER_EXEC yum -y install epel-release
+ ${CI_RETRY_EXE} DOCKER_EXEC yum -y install $DOCKER_PACKAGES $PACKAGES
+elif [ "$TRAVIS_OS_NAME" != "osx" ]; then
${CI_RETRY_EXE} DOCKER_EXEC apt-get update
${CI_RETRY_EXE} DOCKER_EXEC apt-get install --no-install-recommends --no-upgrade -y $PACKAGES $DOCKER_PACKAGES
fi